USN-6150-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6150-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6150-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6150-1
Related
  • CVE-2023-1380
  • CVE-2023-2612
  • CVE-2023-30456
  • CVE-2023-31436
  • CVE-2023-32233
Published
2023-06-08T21:55:46.123872Z
Modified
2023-06-08T21:55:46.123872Z
Summary
linux-intel-iotg, linux-raspi vulnerabilities
Details

Patryk Sondej and Piotr Krysiuk discovered that a race condition existed in the netfilter subsystem of the Linux kernel when processing batch requests, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-32233)

Gwangun Jung discovered that the Quick Fair Queueing scheduler implementation in the Linux kernel contained an out-of-bounds write vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-31436)

Reima Ishii discovered that the nested KVM implementation for Intel x86 processors in the Linux kernel did not properly validate control registers in certain situations. An attacker in a guest VM could use this to cause a denial of service (guest crash). (CVE-2023-30456)

It was discovered that the Broadcom FullMAC USB WiFi driver in the Linux kernel did not properly perform data buffer size validation in some situations. A physically proximate attacker could use this to craft a malicious USB device that when inserted, could cause a denial of service (system crash) or possibly expose sensitive information. (CVE-2023-1380)

Jean-Baptiste Cayrou discovered that the shiftfs file system in the Ubuntu Linux kernel contained a race condition when handling inode locking in some situations. A local attacker could use this to cause a denial of service (kernel deadlock). (CVE-2023-2612)

References

Affected packages

Ubuntu:22.04:LTS / linux-raspi

Package

Name
linux-raspi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.0-1030.32

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-raspi-headers-5.15.0-1030": "5.15.0-1030.32",
            "linux-headers-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-headers-raspi-nolpae": "5.15.0.1030.27",
            "linux-modules-extra-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-raspi-nolpae": "5.15.0.1030.27",
            "linux-tools-raspi": "5.15.0.1030.27",
            "linux-modules-extra-raspi-nolpae": "5.15.0.1030.27",
            "linux-modules-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-headers-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-image-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-headers-raspi": "5.15.0.1030.27",
            "linux-image-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-modules-extra-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-tools-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-raspi": "5.15.0.1030.27",
            "linux-tools-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-raspi-tools-5.15.0-1030": "5.15.0-1030.32",
            "linux-buildinfo-5.15.0-1030-raspi": "5.15.0-1030.32",
            "linux-image-raspi-nolpae": "5.15.0.1030.27",
            "linux-tools-raspi-nolpae": "5.15.0.1030.27",
            "linux-image-raspi": "5.15.0.1030.27",
            "linux-modules-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-buildinfo-5.15.0-1030-raspi-nolpae": "5.15.0-1030.32",
            "linux-modules-extra-raspi": "5.15.0.1030.27"
        }
    ]
}

Ubuntu:22.04:LTS / linux-intel-iotg

Package

Name
linux-intel-iotg

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.15.0-1031.36

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-cloud-tools-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-modules-iwlwifi-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-tools-intel-iotg": "5.15.0.1031.30",
            "linux-intel-iotg": "5.15.0.1031.30",
            "linux-image-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-headers-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-headers-intel-iotg": "5.15.0.1031.30",
            "linux-modules-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-intel-iotg-tools-host": "5.15.0-1031.36",
            "linux-tools-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-intel-iotg-cloud-tools-common": "5.15.0-1031.36",
            "linux-intel-iotg-tools-5.15.0-1031": "5.15.0-1031.36",
            "linux-buildinfo-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-image-unsigned-5.15.0-1031-intel-iotg": "5.15.0-1031.36",
            "linux-intel-iotg-tools-common": "5.15.0-1031.36",
            "linux-image-intel-iotg": "5.15.0.1031.30",
            "linux-intel-iotg-cloud-tools-5.15.0-1031": "5.15.0-1031.36",
            "linux-intel-iotg-headers-5.15.0-1031": "5.15.0-1031.36",
            "linux-modules-extra-5.15.0-1031-intel-iotg": "5.15.0-1031.36"
        }
    ]
}

Ubuntu:20.04:LTS / linux-raspi

Package

Name
linux-raspi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1086.97

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-raspi-headers-5.4.0-1086": "5.4.0-1086.97",
            "linux-image-raspi2-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-headers-raspi": "5.4.0.1086.116",
            "linux-image-raspi2": "5.4.0.1086.116",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-raspi2-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1086.116",
            "linux-raspi-tools-5.4.0-1086": "5.4.0-1086.97",
            "linux-headers-raspi2-hwe-18.04": "5.4.0.1086.116",
            "linux-image-raspi": "5.4.0.1086.116",
            "linux-buildinfo-5.4.0-1086-raspi": "5.4.0-1086.97",
            "linux-image-raspi2-hwe-18.04": "5.4.0.1086.116",
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-tools-raspi2-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-image-5.4.0-1086-raspi": "5.4.0-1086.97",
            "linux-headers-raspi2-hwe-18.04-edge": "5.4.0.1086.116",
            "linux-tools-raspi": "5.4.0.1086.116",
            "linux-tools-raspi2-hwe-18.04": "5.4.0.1086.116",
            "linux-raspi2-hwe-18.04": "5.4.0.1086.116",
            "linux-raspi": "5.4.0.1086.116",
            "linux-raspi-hwe-18.04": "5.4.0.1086.116",
            "linux-headers-raspi2": "5.4.0.1086.116",
            "linux-tools-raspi2": "5.4.0.1086.116",
            "linux-modules-5.4.0-1086-raspi": "5.4.0-1086.97",
            "linux-raspi2": "5.4.0.1086.116",
            "linux-image-raspi-hwe-18.04": "5.4.0.1086.116",
            "linux-headers-5.4.0-1086-raspi": "5.4.0-1086.97",
            "linux-tools-5.4.0-1086-raspi": "5.4.0-1086.97",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1086.116"
        }
    ]
}